Package com.trilead.ssh2.transport

# Class NegotiateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.trilead.ssh2.transport.NegotiateException

All Implemented Interfaces:
  `Serializable`

public class NegotiateException extends Exception
NegotiateException.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NegotiateException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NegotiateException

public NegotiateException()